-- Copyright 2011 Xavier Ferrair aka Mortimer @ Outland [H] (deadlygm@gmail.com)
-- no code in this file may be used in other works without expressed permission

local BB_Version = tonumber(GetAddOnMetadata("Bang_Bang", "Version"));
local BB_Intro = "|cffDDDDDDBang! Bang! is your best allied if you like the PvP, especially if you like world-PvP, This add-on gives you severals improvements and new features that will make you enjoy even more your battles,"
local bbGfont = "Interface\\AddOns\\Bang_Bang\\Fonts\\gui.ttf";
local bbG2font = "Interface\\AddOns\\Bang_Bang\\Fonts\\gui2.ttf";
local bbG2bfont = "Interface\\AddOns\\Bang_Bang\\Fonts\\gui2b.ttf";
local wtop1
local wtop2
local wtop3


local f = CreateFrame("Frame")
f:RegisterEvent("PLAYER_LOGIN")
f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:RegisterEvent("ADDON_LOADED")
f:SetScript("OnEvent", function(self, event, ...)
 
    if event == "ADDON_LOADED" and ... == "Bang_Bang" then
        if not BangDB then BangDB = {} end
        if not BangKills then BangKills = {} end
        if not BangDeaths then BangDeaths = {} end
        if not BangHateds then BangHateds = {} end
		--
        if not BangCharDB then BangCharDB = {} end
        if not BangCharKills then BangCharKills = {} end
        if not BangCharDeaths then BangCharDeaths = {} end
        if not BangCharHateds then BangCharHateds = {} end		
 		
		self:UnregisterEvent("ADDON_LOADED");
	end

	if event == "PLAYER_LOGIN" then
		BBGui:Hide()
	-- DB
		if BangCharDB["Chk1"] == nil then BangCharDB["Chk1"] = true	end
		if BangCharDB["Chk2"] == nil then BangCharDB["Chk2"] = true	end
		if BangCharDB["Chk3"] == nil then BangCharDB["Chk3"] = true	end
		if BangCharDB["Chk4"] == nil then BangCharDB["Chk4"] = true	end
		if BangCharDB["Chk5"] == nil then BangCharDB["Chk5"] = true	end
		if BangCharDB["Chk6"] == nil then BangCharDB["Chk6"] = true	end
		if BangCharDB["Chk7"] == nil then BangCharDB["Chk7"] = true	end
		if BangCharDB["Chk8"] == nil then BangCharDB["Chk8"] = true	end
		--
		if BangDB["TITO"] == nil then BangDB["TITO"] = true	end
		if BangKills["TITO"] == nil then BangKills["TITO"] = 1 end
		if BangDeaths["TITO"] == nil then BangDeaths["TITO"] = 1 end
		if BangHateds["TITO"] == nil then BangHateds["TITO"] = true	end
		--
		if BangCharDB["TITO"] == nil then BangCharDB["TITO"] = true	end
		if BangCharKills["TITO"] == nil then BangCharKills["TITO"] = 1 end
		if BangCharDeaths["TITO"] == nil then BangCharDeaths["TITO"] = 1 end
		if BangCharHateds["TITO"] == nil then BangCharHateds["TITO"] = true	end
		
		if BangCharDB["walerterX"] == nil then BangCharDB["walerterX"] = 0 end
		if BangCharDB["walerterY"] == nil then BangCharDB["walerterY"] = -55 end
		if BangDB["bgMarksX"] == nil then BangDB["bgMarksX"] = 0 end
		if BangDB["bgMarksY"] == nil then BangDB["bgMarksY"] = 40 end
		if BangDB["wantedsX"] == nil then BangDB["wantedsX"] = 0 end
		if BangDB["wantedsY"] == nil then BangDB["wantedsY"] = 40 end
		
	end
	
	if (event == "PLAYER_ENTERING_WORLD") then
       if not IsAddOnLoaded("Blizzard_PVPUI") then
          LoadAddOn("Blizzard_PVPUI")
       end
       self:UnregisterEvent("PLAYER_ENTERING_WORLD")
    end
end)

-----------------------
-- GUI
-----------------------
local BBGui = CreateFrame("Frame", "BBGui", UIParent)
BBGui:SetSize(450,400)
BBGui:SetBackdrop( {
	bgFile = "Interface\\ChatFrame\\ChatFrameBackground",
	edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border",
	tile = true,
	tileSize = 20,
	edgeSize = 20,
	insets = {left = 4, right = 4, top = 4, bottom = 4}
} )
BBGui:SetBackdropColor(.05, .05, .05, .95)
    BBGui:SetMovable(true)
    BBGui:SetUserPlaced(true)
    BBGui:RegisterForDrag("LeftButton")
    BBGui:EnableMouse(true)
    BBGui:SetScript("OnDragStart", function(self) BBGui:StartMoving() end)
    BBGui:SetScript("OnDragStop", function(self) BBGui:StopMovingOrSizing() end)
	BBGui:SetPoint("CENTER")
--
BBGui.cap = CreateFrame("Frame", nil, BBGui)
BBGui.cap:SetSize(200,35)
BBGui.cap:SetPoint("TOP",0,16)
BBGui.cap:SetBackdrop( {
	bgFile = "Interface\\ChatFrame\\ChatFrameBackground",
	edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border",
--	edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border",
	tile = true,
	tileSize = 20,
	edgeSize = 20,
	insets = {left = 4, right = 4, top = 4, bottom = 4}
} )
BBGui.cap:SetBackdropColor(0, 0, 0, 1)
--
BBGui.title = CreateFrame("SimpleHTML", nil, BBGui.cap)
BBGui.title:SetSize(150,35)
BBGui.title:SetPoint("TOP",25,-12)
BBGui.title:SetFont(bbGfont, 12, "OUTLINE")
BBGui.title:SetSpacing(0)
BBGui.title:SetText("<html><body><p>|cffFFD800Bang! Bang! "..BB_Version.."</p></body></html>")

--
BBGui.intro = CreateFrame("SimpleHTML", nil, BBGui)
BBGui.intro:SetSize(410,100)
BBGui.intro:SetPoint("TOPLEFT",20,-25)
BBGui.intro:SetFont(bbG2font, 12, "OUTLINE")
BBGui.intro:SetSpacing(0)
BBGui.intro:SetText("<html><body><p>|cffFFFFFF"..BB_Intro.."</p></body></html>")
--BBGui.intro:SetBackdrop({bgFile = "Interface\\ChatFrame\\ChatFrameBackground",}) -- para ver frame
--BBGui.intro:SetBackdropColor(1, 0, 0, 1) -- para ver frame color
--
BBGui.author = CreateFrame("MessageFrame", nil, BBGui)
BBGui.author:SetSize(170,40)
BBGui.author:SetPoint("BOTTOM",130,10)
BBGui.author:SetFont(bbGfont, 12, "THINOUTLINE")
BBGui.author:SetFading(false)
BBGui.author:SetSpacing(0)
BBGui.author:AddMessage("Author:", .3, .3, .3, 1)
BBGui.author:AddMessage("Mortimer - Outland", .3, .3, .3, 1)

BBGui.author:SetJustifyH("RIGHT")
--
BBGui.f1f = CreateFrame("MessageFrame", nil, BBGui)
BBGui.f1f:SetSize(370,200)
BBGui.f1f:SetPoint("TOP", 0, -115)
BBGui.f1f:SetBackdrop({bgFile = "Interface\\ChatFrame\\ChatFrameBackground",}) -- para ver frame
BBGui.f1f:SetBackdropColor(0, 0, 0, 1) -- para ver frame color
--
BBGui.f1f.tab = CreateFrame("MessageFrame", nil, BBGui.f1f)
BBGui.f1f.tab:SetSize(120,20)
BBGui.f1f.tab:SetPoint("TOP", 115, -210)
BBGui.f1f.tab:SetFont(bbGfont, 12, "THINOUTLINE")
BBGui.f1f.tab:SetFading(false)
BBGui.f1f.tab:AddMessage("Main", 1, .8, 0, 1) --color oro
BBGui.f1f.tab:SetJustifyH("RIGHT")
--
BBGui.f2f = CreateFrame("MessageFrame", nil, BBGui)
BBGui.f2f:SetSize(370,200)
BBGui.f2f:SetPoint("TOP", 0, -115)
BBGui.f2f:SetBackdrop({bgFile = "Interface\\ChatFrame\\ChatFrameBackground",}) -- para ver frame
BBGui.f2f:SetBackdropColor(0, 0, 0, 1) -- para ver frame color
--
BBGui.f2f.tab = CreateFrame("MessageFrame", nil, BBGui.f2f)
BBGui.f2f.tab:SetSize(120,20)
BBGui.f2f.tab:SetPoint("TOP", 115, -210)
BBGui.f2f.tab:SetFont(bbGfont, 12, "THINOUTLINE")
BBGui.f2f.tab:SetFading(false)
BBGui.f2f.tab:SetSpacing(0)
BBGui.f2f.tab:AddMessage("Config", 1, .8, 0, 1) --color oro
BBGui.f2f.tab:SetJustifyH("RIGHT")
--
BBGui.f2f.head = CreateFrame("SimpleHTML", nil, BBGui.f2f)
BBGui.f2f.head:SetSize(345,146)
BBGui.f2f.head:SetPoint("TOP", 0, 0)
BBGui.f2f.head:SetFont(bbG2bfont, 12, "THINOUTLINE")
BBGui.f2f.head:SetText("<html><body><p>|cffCCCCCCMark your own settings:</p></body></html>")
--
BBGui.f2f.foot = CreateFrame("SimpleHTML", nil, BBGui.f2f)
BBGui.f2f.foot:SetSize(340,35)
BBGui.f2f.foot:SetPoint("BOTTOMLEFT", 10, -15)
BBGui.f2f.foot:SetFont(bbG2bfont, 12, "THINOUTLINE")
BBGui.f2f.foot:SetText("<html><body><p>|cffCCCCCCContact us if have some suggestion,</p></body></html>")
--
BBGui.f2f.chk1 = CreateFrame("CheckButton", "chk1", BBGui.f2f, "UICheckButtonTemplate")
BBGui.f2f.chk1:ClearAllPoints()
BBGui.f2f.chk1:SetPoint("CENTER", -140, 50)
_G[BBGui.f2f.chk1:GetName() .. "Text"]:SetText("|cffDDDDDDSound when death")
BBGui.f2f.chk1:SetScript("OnClick", function(self, event, ...)
	if self:GetChecked() then
		BangCharDB.Chk1 = true; print("|cffFFD800Sound when death |cff2EFE2EON");
	else 
		BangCharDB.Chk1 = false; print("|cffFFD800Sound when death |cffFE2E2EOFF");
	end
end)
BBGui.f2f.chk1:SetScript('OnShow', function(self) self:SetChecked(BangCharDB.Chk1) end)
--
BBGui.f2f.chk2 = CreateFrame("CheckButton", "chk2", BBGui.f2f, "UICheckButtonTemplate")
BBGui.f2f.chk2:ClearAllPoints()
BBGui.f2f.chk2:SetPoint("CENTER", -140, 20)
_G[BBGui.f2f.chk2:GetName() .. "Text"]:SetText("|cffDDDDDDSound when resurrect")
BBGui.f2f.chk2:SetScript("OnClick", function(self, event, ...)
	if self:GetChecked() then
		BangCharDB.Chk2 = true; print("|cffFFD800Sound when resurrect |cff2EFE2EON");
	else 
		BangCharDB.Chk2 = false; print("|cffFFD800Sound when resurrect |cffFE2E2EOFF");
	end
end)
BBGui.f2f.chk2:SetScript('OnShow', function(self) self:SetChecked(BangCharDB.Chk2) end)
--
BBGui.f2f.chk3 = CreateFrame("CheckButton", "chk3", BBGui.f2f, "UICheckButtonTemplate")
BBGui.f2f.chk3:ClearAllPoints()
BBGui.f2f.chk3:SetPoint("CENTER", -140, -10)
_G[BBGui.f2f.chk3:GetName() .. "Text"]:SetText("|cffDDDDDDEmote when kill")
BBGui.f2f.chk3:SetScript("OnClick", function(self, event, ...)
	if self:GetChecked() then
		BangCharDB.Chk3 = true; print("|cffFFD800Emote when kill |cff2EFE2EON");
	else 
		BangCharDB.Chk3 = false; print("|cffFFD800Emote when kill |cffFE2E2EOFF");
	end
end)
BBGui.f2f.chk3:SetScript('OnShow', function(self) self:SetChecked(BangCharDB.Chk3) end)
--
BBGui.f2f.chk4 = CreateFrame("CheckButton", "chk4", BBGui.f2f, "UICheckButtonTemplate")
BBGui.f2f.chk4:ClearAllPoints()
BBGui.f2f.chk4:SetPoint("CENTER", -140, -40)
_G[BBGui.f2f.chk4:GetName() .. "Text"]:SetText("|cffDDDDDDEmote when interrumpt")
BBGui.f2f.chk4:SetScript("OnClick", function(self, event, ...)
	if self:GetChecked() then
		BangCharDB.Chk4 = true; print("|cffFFD800Emote when interrumpt |cff2EFE2EON");
	else 
		BangCharDB.Chk4 = false; print("|cffFFD800Emote when interrumpt |cffFE2E2EOFF");
	end
end)
BBGui.f2f.chk4:SetScript('OnShow', function(self) self:SetChecked(BangCharDB.Chk4) end)
--
BBGui.f2f.chk5 = CreateFrame("CheckButton", "chk5", BBGui.f2f, "UICheckButtonTemplate")
BBGui.f2f.chk5:ClearAllPoints()
BBGui.f2f.chk5:SetPoint("CENTER", 20, 50)
_G[BBGui.f2f.chk5:GetName() .. "Text"]:SetText("|cffDDDDDDStreak messages")
BBGui.f2f.chk5:SetScript("OnClick", function(self, event, ...)
	if self:GetChecked() then
		BangCharDB.Chk5 = true; print("|cffFFD800Streak messages |cff2EFE2EON");
	else 
		BangCharDB.Chk5 = false; print("|cffFFD800Streak messages |cffFE2E2EOFF");
	end
end)
BBGui.f2f.chk5:SetScript('OnShow', function(self) self:SetChecked(BangCharDB.Chk5) end)
--
BBGui.f2f.chk6 = CreateFrame("CheckButton", "chk6", BBGui.f2f, "UICheckButtonTemplate")
BBGui.f2f.chk6:ClearAllPoints()
BBGui.f2f.chk6:SetPoint("CENTER", 20, 20)
_G[BBGui.f2f.chk6:GetName() .. "Text"]:SetText("|cffDDDDDDMedallion/racial alerter")
BBGui.f2f.chk6:SetScript("OnClick", function(self, event, ...)
	if self:GetChecked() then
		BangCharDB.Chk6 = true; print("|cffFFD800Medallion or racial alerter |cff2EFE2EON");
	else 
		BangCharDB.Chk6 = false; print("|cffFFD800Medallion or racial alerter |cffFE2E2EOFF");
	end
end)
BBGui.f2f.chk6:SetScript('OnShow', function(self) self:SetChecked(BangCharDB.Chk6) end)
--
BBGui.f2f.chk7 = CreateFrame("CheckButton", "chk7", BBGui.f2f, "UICheckButtonTemplate")
BBGui.f2f.chk7:ClearAllPoints()
BBGui.f2f.chk7:SetPoint("CENTER", 20, -10)
_G[BBGui.f2f.chk7:GetName() .. "Text"]:SetText("|cffDDDDDDBG assist buttons")
BBGui.f2f.chk7:SetScript("OnClick", function(self, event, ...)
	if self:GetChecked() then
		BangCharDB.Chk7 = true; print("|cffFFD800Battleground assist buttons |cff2EFE2EON");
	else 
		BangCharDB.Chk7 = false; print("|cffFFD800Battleground assist buttons |cffFE2E2EOFF");
	end
end)
BBGui.f2f.chk7:SetScript('OnShow', function(self) self:SetChecked(BangCharDB.Chk7) end)
--
BBGui.f2f.chk8 = CreateFrame("CheckButton", "chk8", BBGui.f2f, "UICheckButtonTemplate")
BBGui.f2f.chk8:ClearAllPoints()
BBGui.f2f.chk8:SetPoint("CENTER", 20, -40)
_G[BBGui.f2f.chk8:GetName() .. "Text"]:SetText("|cffDDDDDDBG tank/healer marks")
BBGui.f2f.chk8:SetScript("OnClick", function(self, event, ...)
	if self:GetChecked() then
		BangCharDB.Chk8 = true; print("|cffFFD800Battleground tank/healer marks |cff2EFE2EON");
	else 
		BangCharDB.Chk8 = false; print("|cffFFD800Battleground tank/healer marks |cffFE2E2EOFF");
	end
end)
BBGui.f2f.chk8:SetScript('OnShow', function(self) self:SetChecked(BangCharDB.Chk8) end)
--
BBGui.f3f = CreateFrame("MessageFrame", nil, BBGui)
BBGui.f3f:SetSize(370,200)
BBGui.f3f:SetPoint("TOP", 0, -115)
BBGui.f3f:SetBackdrop({bgFile = "Interface\\ChatFrame\\ChatFrameBackground",}) -- para ver frame
BBGui.f3f:SetBackdropColor(0, 0, 0, 1) -- para ver frame color
--
BBGui.f3f.tab = CreateFrame("MessageFrame", nil, BBGui.f3f)
BBGui.f3f.tab:SetSize(120,20)
BBGui.f3f.tab:SetPoint("TOP", 115, -210)
BBGui.f3f.tab:SetFont(bbGfont, 12, "THINOUTLINE")
BBGui.f3f.tab:SetFading(false)
BBGui.f3f.tab:AddMessage("Wanted List", 1, .8, 0, 1) --color oro
BBGui.f3f.tab:SetJustifyH("RIGHT")
--
BBGui.f3f.head = CreateFrame("SimpleHTML", nil, BBGui.f3f)
BBGui.f3f.head:SetSize(345,146)
BBGui.f3f.head:SetPoint("TOPLEFT", 5, 0)
BBGui.f3f.head:SetFont(bbG2bfont, 12, "THINOUTLINE")
BBGui.f3f.head:SetSpacing(0)
BBGui.f3f.head:SetText("<html><body><p>|cffCCCCCCWrite the name of your enemy and add him to your wanted list and find him more easy,</p></body></html>")
--
BBGui.f3f.type = CreateFrame("SimpleHTML", nil, BBGui.f3f)
BBGui.f3f.type:SetSize(200,35)
BBGui.f3f.type:SetPoint("CENTER", -45, 40)
BBGui.f3f.type:SetFont(bbGfont, 12);
BBGui.f3f.type:SetText("<html><body><p>|cff777777Use Name-Realm always</p></body></html>")
--
BBGui.f3f.foot = CreateFrame("SimpleHTML", nil, BBGui.f3f)
BBGui.f3f.foot:SetSize(360,35)
BBGui.f3f.foot:SetPoint("BOTTOMLEFT", 5, -5)
BBGui.f3f.foot:SetFont(bbG2bfont, 12, "THINOUTLINE")
BBGui.f3f.foot:SetText("<html><body><p>|cffCCCCCCRemember write Name-Realm for players or just rightClick on target, Also can add mobs,</p></body></html>")
--
BBGui.f3f.input = CreateFrame("EditBox", "addenemy", BBGui.f3f, 'InputBoxTemplate')
BBGui.f3f.input:SetSize(200,22)
BBGui.f3f.input:SetAutoFocus(false)
BBGui.f3f.input:SetMaxLetters(30)
BBGui.f3f.input:SetPoint("CENTER", -65, 30)
BBGui.f3f.input:SetScript('OnChar', function(self, addenemy)
    self:GetParent().addenemy = self:GetText()
end)
--
BBGui.f3f.add = CreateFrame("Button", "addenemy", BBGui.f3f, "UIPanelButtonTemplate")
BBGui.f3f.add:SetSize(50,22)
BBGui.f3f.add:SetPoint("CENTER", 70, 30)
BBGui.f3f.add:SetText("Add")
BBGui.f3f.add:SetScript("OnClick", function(self, addenemy)
	BangHateds[self:GetParent().addenemy] = true;
    print("|cff009900+ Added |r" ..self:GetParent().addenemy.." |cff009900to wanted list.")
	BBGui.f3f.input:SetText("")
end)
--
 BBGui.f3f.list = CreateFrame("Button", "delenemy", BBGui.f3f, "UIDropDownMenuTemplate")
 BBGui.f3f.list:SetPoint("CENTER", -35, -12)
--
BBGui.f3f.test = CreateFrame("Button", "addenemy", BBGui.f3f, "UIPanelButtonTemplate")
BBGui.f3f.test:SetSize(50,22)
BBGui.f3f.test:SetPoint("CENTER", 70, -50)
BBGui.f3f.test:SetText("Test")
BBGui.f3f.test:SetScript("OnClick", function(self, event, ...)
	HateList.a:AddMessage("|cffFE2E2EYour enemy |cffDDDDDDWanted-Name |cffFE2E2Eis near", .9, .9, .9, 1)
	HateList:Show()
end)
--
BBGui.f4f = CreateFrame("MessageFrame", nil, BBGui)
BBGui.f4f:SetSize(370,200)
BBGui.f4f:SetPoint("TOP", 0, -115)
BBGui.f4f:SetBackdrop({bgFile = "Interface\\ChatFrame\\ChatFrameBackground",}) -- para ver frame
BBGui.f4f:SetBackdropColor(0, 0, 0, 1) -- para ver frame color
--
BBGui.f4f.tab = CreateFrame("MessageFrame", nil, BBGui.f4f)
BBGui.f4f.tab:SetSize(120,20)
BBGui.f4f.tab:SetPoint("TOP", 115, -210)
BBGui.f4f.tab:SetFont(bbGfont, 12, "THINOUTLINE")
BBGui.f4f.tab:SetFading(false)
BBGui.f4f.tab:AddMessage("Credits", 1, .8, 0, 1) --color oro
BBGui.f4f.tab:SetJustifyH("RIGHT")
--
BBGui.f4f.head = CreateFrame("SimpleHTML", nil, BBGui.f4f)
BBGui.f4f.head:SetSize(345,146)
BBGui.f4f.head:SetPoint("TOP", 0, 0)
BBGui.f4f.head:SetFont(bbG2bfont, 12, "THINOUTLINE")
BBGui.f4f.head:SetSpacing(0)
BBGui.f4f.head:SetText("<html><body><p>|cffCCCCCCSpecial thanks to the following people for their assistance with this project:</p></body></html>")

BBGui.f4f.block = CreateFrame("SimpleHTML", nil, BBGui.f4f)
BBGui.f4f.block:SetSize(360,146)
BBGui.f4f.block:SetPoint("TOP", 10, -45)
BBGui.f4f.block:SetFont(bbG2font, 12, "THINOUTLINE")
BBGui.f4f.block:SetSpacing(0)
BBGui.f4f.block:SetText("<html><body><p>|cffFFD800Amenamaste - Outland  |cff555555beta tester</p><p>|cffFFD800Aurka - DunModr  |cff555555supp streamer: twitch/aurkalol</p><p>|cffFFD800Drpewpew - DunModr  |cff555555translator</p><p>|cffFFD800Ryukek - TwistingNether  |cff555555beta tester</p><p>|cffFFD800Tito - Stormscale  |cff555555main assistant</p><p>|cffFFD800Woolfwood - Sanguino  |cff555555alpha tester</p></body></html>")
--BBGui.f4f.block:SetBackdrop({bgFile = "Interface\\ChatFrame\\ChatFrameBackground",}) -- para ver frame
--BBGui.f4f.block:SetBackdropColor(1, 0, 0, 1) -- para ver frame color

BBGui.f4f.foot = CreateFrame("SimpleHTML", nil, BBGui.f4f)
BBGui.f4f.foot:SetSize(340,35)
BBGui.f4f.foot:SetPoint("BOTTOMLEFT", 10, -5)
BBGui.f4f.foot:SetFont(bbG2bfont, 12, "THINOUTLINE")
BBGui.f4f.foot:SetSpacing(0)
BBGui.f4f.foot:SetText("<html><body><p>|cffCCCCCCIf you find any bugs with this addon, please let me know in the comments or send me a PM,</p></body></html>")
--
BBGui.buttonC = CreateFrame("Button",nil,BBGui,"UIPanelButtonTemplate")
BBGui.buttonC:SetSize(75,22)
BBGui.buttonC:SetPoint("BOTTOM", 0, 20)
BBGui.buttonC:SetText("Close")
BBGui.buttonC:SetScript("OnClick", function()
		BBGui:Hide()
end)
--
BBGui.buttonBG = CreateFrame("Button",nil,BBGui,"UIPanelButtonTemplate")
BBGui.buttonBG:SetSize(75,22)
BBGui.buttonBG:SetPoint("BOTTOM", -40, 50)
BBGui.buttonBG:SetText("PvP Panel")
BBGui.buttonBG:SetScript("OnClick", function(self,event, ...)
		TogglePVPUI()
end)
--
BBGui.buttonBG = CreateFrame("Button",nil,BBGui,"UIPanelButtonTemplate")
BBGui.buttonBG:SetSize(75,22)
BBGui.buttonBG:SetPoint("BOTTOM", 40, 50)
BBGui.buttonBG:SetText("Reload UI")
BBGui.buttonBG:SetScript("OnClick", function(self,event, ...)
		ReloadUI()
end)
--
BBGui.action1 = CreateFrame("Button",nil,BBGui,"UIPanelButtonTemplate")
BBGui.action1:SetSize(75,22)
BBGui.action1:SetPoint("TOP", -120, -82)
BBGui.action1:SetText("Main")
BBGui.action1:SetScript("OnClick", function()
	banghTops()
	BBGui.f1f:Show()
	BBGui.f2f:Hide()
	BBGui.f3f:Hide()
	BBGui.f4f:Hide()
end)
--
BBGui.action2 = CreateFrame("Button",nil,BBGui,"UIPanelButtonTemplate")
BBGui.action2:SetSize(75,22)
BBGui.action2:SetPoint("TOP", -40, -82)
BBGui.action2:SetText("Config")
BBGui.action2:SetScript("OnClick", function()
	BBGui.f1f:Hide()
	BBGui.f2f:Show()
	BBGui.f3f:Hide()
	BBGui.f4f:Hide()
end)
--
BBGui.action3 = CreateFrame("Button",nil,BBGui,"UIPanelButtonTemplate")
BBGui.action3:SetSize(75,22)
BBGui.action3:SetPoint("TOP", 40, -82)
BBGui.action3:SetText("Wanted")
BBGui.action3:SetScript("OnClick", function()
	BBGui.f1f:Hide()
	BBGui.f2f:Hide()
	BBGui.f3f:Show()
	BBGui.f4f:Hide()
end)
--
BBGui.action4 = CreateFrame("Button",nil,BBGui,"UIPanelButtonTemplate")
BBGui.action4:SetSize(75,22)
BBGui.action4:SetPoint("TOP", 120, -82)
BBGui.action4:SetText("Credits")
BBGui.action4:SetScript("OnClick", function()
	BBGui.f1f:Hide()
	BBGui.f2f:Hide()
	BBGui.f3f:Hide()
	BBGui.f4f:Show()
end)

local b = CreateFrame("FRAME");
b:RegisterEvent("ADDON_LOADED");
b:RegisterEvent("PLAYER_ENTERING_WORLD");

BBGui.f3f.del = CreateFrame("Button", "delenemy", BBGui.f3f, "UIPanelButtonTemplate")
BBGui.f3f.del:SetSize(50,22)
BBGui.f3f.del:SetPoint("CENTER", 70, -10)
BBGui.f3f.del:SetText("Del")

local function eventHandler(self, event, ...)

-- CONTENIDO SELECTOR WANTED LIST
local function OnSelect(self)
	UIDropDownMenu_SetSelectedID(delenemy, self:GetID())
	bbang_ddelenemy = self:GetText()
end

local function initialize(self, level)
local toSort = {}
for k in pairs(BangHateds) do toSort[#toSort + 1] = k end
table.sort(toSort)
--for i = 1, #toSort do print(toSort[i]) end

local info=UIDropDownMenu_CreateInfo()
    for k,v in pairs(toSort) do
		info=UIDropDownMenu_CreateInfo()
		info.text=v
		info.value=v
		info.func=OnSelect
		UIDropDownMenu_AddButton(info, level)
    end
end

local function Init(delenemy)
    UIDropDownMenu_Initialize(delenemy, initialize)
    UIDropDownMenu_SetWidth(delenemy, 120)
    UIDropDownMenu_SetButtonWidth(delenemy, 124)
    UIDropDownMenu_SetSelectedID(delenemy, 1)
	UIDropDownMenu_JustifyText(delenemy, "LEFT")
end

BBGui.f3f.del:SetScript("OnClick", function(self)
	BangHateds[bbang_ddelenemy] = nil;
	print("|cffFE2E2E- Deleted |r" ..bbang_ddelenemy.." |cffFE2E2Efrom wanted list.")
	Init(delenemy) -- hace reload al listado despues de borrar

end)
Init(delenemy) -- nombre frames

-- SORT TABLE BY KILLS
local function spairs(BangKills, order)
    local tkills = {}
    for k in pairs(BangKills) do tkills[#tkills + 1] = k end
    if order then
   -- if order then
        table.sort(tkills, function(a,b) return order(BangKills, a, b) end)
    else
        table.sort(tkills)
    end
    local i = 0
    return function()
        i = i + 1
BBGui.f1f.topkills2 = CreateFrame("MessageFrame", nil, BBGui.f1f)
BBGui.f1f.topkills2:SetSize(50,100)
BBGui.f1f.topkills2:SetPoint("TOP", -60, -40)
BBGui.f1f.topkills2:SetFont(bbG2bfont, 12, "THINOUTLINE")
BBGui.f1f.topkills2:SetFading(false)
BBGui.f1f.topkills2:SetSpacing(0)
BBGui.f1f.topkills2:SetJustifyH("CENTER")
BBGui.f1f.topkills2:AddMessage("Bangs", 1, .8, 0, 1)
        if tkills[1] then
			BBGui.f1f.topkills2:AddMessage(BangKills[tkills[1]], 0, .8, 0, 1)
		else
			BBGui.f1f.topkills2:AddMessage("0", 0, .8, 0, 1)
        end
        if tkills[2] then
			BBGui.f1f.topkills2:AddMessage(BangKills[tkills[2]], 0, .8, 0, 1)
		else
			BBGui.f1f.topkills2:AddMessage("0", 0, .8, 0, 1)
        end
        if tkills[3] then
			BBGui.f1f.topkills2:AddMessage(BangKills[tkills[3]], 0, .8, 0, 1)
		else
			BBGui.f1f.topkills2:AddMessage("0", 0, .8, 0, 1)
        end
		if tkills[4] then
			BBGui.f1f.topkills2:AddMessage(BangKills[tkills[4]], 0, .8, 0, 1)
		else
			BBGui.f1f.topkills2:AddMessage("0", 0, .8, 0, 1)
        end
		if tkills[5] then
			BBGui.f1f.topkills2:AddMessage(BangKills[tkills[5]], 0, .8, 0, 1)
		else
			BBGui.f1f.topkills2:AddMessage("0", 0, .8, 0, 1)
        end
BBGui.f1f.topkills3 = CreateFrame("MessageFrame", nil, BBGui.f1f)
BBGui.f1f.topkills3:SetSize(250,100)
BBGui.f1f.topkills3:SetPoint("TOP", 165, -40)
BBGui.f1f.topkills3:SetFont(bbG2bfont, 12, "THINOUTLINE")
BBGui.f1f.topkills3:SetFading(false)
BBGui.f1f.topkills3:SetSpacing(0)
BBGui.f1f.topkills3:SetJustifyH("LEFT")
--
BBGui.f1f.topkills3:AddMessage("Name", 1, .8, 0, 1)
        if tkills[1] then
			BBGui.f1f.topkills3:AddMessage(tkills[1], 1, 1, 1, 1)
		else
			BBGui.f1f.topkills3:AddMessage("0", 1, 1, .1, 1)
        end
        if tkills[2] then
			BBGui.f1f.topkills3:AddMessage(tkills[2], .9, .9, .9, 1)
		else
			BBGui.f1f.topkills3:AddMessage("0", 9, .9, .9, 1)
        end
        if tkills[3] then
			BBGui.f1f.topkills3:AddMessage(tkills[3], .7, .7, .7, 1)
		else
			BBGui.f1f.topkills3:AddMessage("0", 7, .7, .7, 1)
        end
		if tkills[4] then
			BBGui.f1f.topkills3:AddMessage(tkills[4], .6, .6, .6, 1)
		else
			BBGui.f1f.topkills3:AddMessage("0", .6, .6, .6, 1)
        end
		if tkills[5] then
			BBGui.f1f.topkills3:AddMessage(tkills[5], .5, .5, .5, 1)
		else
			BBGui.f1f.topkills3:AddMessage("0", .5, .5, .5, 1)
        end
BBGui.f1f.topkills4 = CreateFrame("MessageFrame", nil, BBGui.f1f)
BBGui.f1f.topkills4:SetSize(50,100)
BBGui.f1f.topkills4:SetPoint("TOP", 0, -40)
BBGui.f1f.topkills4:SetFont(bbG2bfont, 12, "THINOUTLINE")
BBGui.f1f.topkills4:SetFading(false)
BBGui.f1f.topkills4:SetSpacing(0)
BBGui.f1f.topkills4:SetJustifyH("CENTER")
BBGui.f1f.topkills4:AddMessage("Deaths", 1, .8, 0, 1)
        if BangDeaths[tkills[1]] then
			BBGui.f1f.topkills4:AddMessage(BangDeaths[tkills[1]], .8, 0, 0, 1)
		else
			BBGui.f1f.topkills4:AddMessage("0", .8, 0, 0, 1)
        end
        if BangDeaths[tkills[2]] then
		BBGui.f1f.topkills4:AddMessage(BangDeaths[tkills[2]], .8, 0, 0, 1)
		else
			BBGui.f1f.topkills4:AddMessage("0", .8, 0, 0, 1)
        end
        if BangDeaths[tkills[3]] then
		BBGui.f1f.topkills4:AddMessage(BangDeaths[tkills[3]], .8, 0, 0, 1)
		else
			BBGui.f1f.topkills4:AddMessage("0", .8, 0, 0, 1)
        end
        if BangDeaths[tkills[4]] then
		BBGui.f1f.topkills4:AddMessage(BangDeaths[tkills[4]], .8, 0, 0, 1)
		else
			BBGui.f1f.topkills4:AddMessage("0", .8, 0, 0, 1)
        end
        if BangDeaths[tkills[5]] then
		BBGui.f1f.topkills4:AddMessage(BangDeaths[tkills[5]], .8, .0, .0, 1)
		else
			BBGui.f1f.topkills4:AddMessage("0", .8, 0, 0, 1)
        end
	end
end

for k,v in spairs(BangKills, function(BangKills,a,b) return BangKills[b] < BangKills[a] end) do end -- prints tabla tops

BBGui.f1f.topkills1 = CreateFrame("MessageFrame", nil, BBGui.f1f)
BBGui.f1f.topkills1:SetSize(50,100)
BBGui.f1f.topkills1:SetPoint("TOP", -110, -40)
BBGui.f1f.topkills1:SetFont(bbG2bfont, 12, "THINOUTLINE")
BBGui.f1f.topkills1:SetFading(false)
BBGui.f1f.topkills1:SetSpacing(0)
BBGui.f1f.topkills1:SetJustifyH("CENTER")
BBGui.f1f.topkills1:AddMessage("Top", 1, .8, 0, 1)
BBGui.f1f.topkills1:AddMessage("#1", 1, .7, .05, 1)
BBGui.f1f.topkills1:AddMessage("#2", .8, .8, .8, 1)
BBGui.f1f.topkills1:AddMessage("#3", .6, .35, 0, 1)
BBGui.f1f.topkills1:AddMessage("#4", .6, .6, .6, 1)
BBGui.f1f.topkills1:AddMessage("#5", .5, .5, .5, 1)

-- BRUTAL
--local toSort = {}
--for k in pairs(BangHateds) do toSort[#toSort + 1] = k end
--table.sort(toSort)
--for i = 1, #toSort do print(toSort[i]) end
--

end
b:SetScript("OnEvent", eventHandler);
--

function bangBraks()
local r, _, _, _, s = GetPersonalRatedInfo(1) --2v2
local rr, _, _, _, ss = GetPersonalRatedInfo(2) --3v3
local rrr, _, _, _, sss = GetPersonalRatedInfo(4) --10v10

BBGui.f1f.rankt = CreateFrame("MessageFrame", nil, BBGui.f1f)
BBGui.f1f.rankt:SetSize(70,80)
BBGui.f1f.rankt:SetPoint("BOTTOM", -60, 0)
BBGui.f1f.rankt:SetFont(bbG2bfont, 12, "THINOUTLINE")
BBGui.f1f.rankt:SetFading(false)
BBGui.f1f.rankt:SetSpacing(0)
BBGui.f1f.rankt:AddMessage("Bracket",  1, .8, 0, 1)
BBGui.f1f.rankt:AddMessage("2v2", .8, .8, .8, 1)
BBGui.f1f.rankt:AddMessage("3v3", .9, .9, .9, 1)
BBGui.f1f.rankt:AddMessage("10v10", .8, .8, .8, 1)
BBGui.f1f.rankt:SetJustifyH("RIGHT")

BBGui.f1f.rankw = CreateFrame("MessageFrame", nil, BBGui.f1f)
BBGui.f1f.rankw:SetSize(50,80)
BBGui.f1f.rankw:SetPoint("BOTTOM", 0, 0)
BBGui.f1f.rankw:SetFont(bbG2bfont, 12, "THINOUTLINE")
BBGui.f1f.rankw:SetFading(false)
BBGui.f1f.rankw:SetSpacing(0)
BBGui.f1f.rankw:SetJustifyH("CENTER")
BBGui.f1f.rankw:AddMessage("Wins",  1, .8, 0, 1)
BBGui.f1f.rankw:AddMessage(s, .8, .8, .8, 1)-------------------------------------------------------------------------------------------------
BBGui.f1f.rankw:AddMessage(ss, .9, .9, .9, 1)
BBGui.f1f.rankw:AddMessage(sss, .8, .8, .8, 1)

BBGui.f1f.rankr = CreateFrame("MessageFrame", nil, BBGui.f1f)
BBGui.f1f.rankr:SetSize(50,80)
BBGui.f1f.rankr:SetPoint("BOTTOM", 55, 0)
BBGui.f1f.rankr:SetFont(bbG2bfont, 12, "THINOUTLINE")
BBGui.f1f.rankr:SetFading(false)
BBGui.f1f.rankr:SetSpacing(0)
BBGui.f1f.rankr:SetJustifyH("LEFT")
BBGui.f1f.rankr:AddMessage("Rating",  1, .8, 0, 1)
BBGui.f1f.rankr:AddMessage(r, .8, .8, .8, 1)
BBGui.f1f.rankr:AddMessage(rr, .9, .9, .9, 1)
BBGui.f1f.rankr:AddMessage(rrr, .8, .8, .8, 1)

end

function banghTops()
local names = {}
local numbers = {}

	for char_name,number_of_kills in pairs(BangKills) do
		if BangHateds[char_name] then
			if not names[number_of_kills] then
				numbers[#numbers+1] = number_of_kills
				names[number_of_kills] = {char_name}
			else
				names[number_of_kills][#names[number_of_kills]+1] = char_name
			end
		end
	end

table.sort(numbers, function(a,b)
	return b < a
end)

for i=1,1, -1 do
    table.sort(names[numbers[i]])
    for j=1,1 do
        if names[numbers[1]] ~= nil then wtop1 = names[numbers[1]][j] else wtop1 = 0; end
        if names[numbers[2]] ~= nil then wtop2 = names[numbers[2]][j] else wtop2 = 0; end
        if names[numbers[3]] ~= nil then wtop3 = names[numbers[3]][j] else wtop3 = 0; end

BBGui.f1f.htopkills1 = CreateFrame("MessageFrame", nil, BBGui.f1f)
BBGui.f1f.htopkills1:SetSize(50,100)
BBGui.f1f.htopkills1:SetPoint("TOP", -110, 40)
BBGui.f1f.htopkills1:SetFont(bbG2bfont, 12, "THINOUTLINE")
BBGui.f1f.htopkills1:SetFading(false)
BBGui.f1f.htopkills1:SetSpacing(0)
BBGui.f1f.htopkills1:SetJustifyH("CENTER")
BBGui.f1f.htopkills1:AddMessage("Top", 1, .8, 0, 1)
BBGui.f1f.htopkills1:AddMessage("#1", 1, .7, .05, 1)
BBGui.f1f.htopkills1:AddMessage("#2", .65, .65, .65, 1)
BBGui.f1f.htopkills1:AddMessage("#3", .6, .35, 0, 1)
--
BBGui.f1f.htopkills2 = CreateFrame("MessageFrame", nil, BBGui.f1f)
BBGui.f1f.htopkills2:SetSize(50,100)
BBGui.f1f.htopkills2:SetPoint("TOP", -60, 40)
BBGui.f1f.htopkills2:SetFont(bbGfont, 12, "THINOUTLINE")
BBGui.f1f.htopkills2:SetFading(false)
BBGui.f1f.htopkills2:SetSpacing(0)
BBGui.f1f.htopkills2:SetJustifyH("CENTER")
BBGui.f1f.htopkills2:AddMessage("Bangs", 1, .8, 0, 1)
BBGui.f1f.htopkills2:SetFont(bbG2bfont, 12, "THINOUTLINE")

        if wtop1 ~= 0 then
			BBGui.f1f.htopkills2:AddMessage(numbers[1], 0, .8, 0, 1)
		else
			BBGui.f1f.htopkills2:AddMessage("0", 0, .8, 0, 1)
		end
		if wtop2 ~= 0 then
			BBGui.f1f.htopkills2:AddMessage(numbers[2], 0, .8, 0, 1)
		else
			BBGui.f1f.htopkills2:AddMessage("0", 0, .8, 0, 1)
		end
        if wtop3 ~= 0 then
			BBGui.f1f.htopkills2:AddMessage(numbers[3], 0, .8, 0, 1)
		else
			BBGui.f1f.htopkills2:AddMessage("0", 0, .8, 0, 1)
		end
--
BBGui.f1f.htopkills3 = CreateFrame("MessageFrame", nil, BBGui.f1f)
BBGui.f1f.htopkills3:SetSize(50,100)
BBGui.f1f.htopkills3:SetPoint("TOP", 0, 40)
BBGui.f1f.htopkills3:SetFont(bbG2bfont, 12, "THINOUTLINE")
BBGui.f1f.htopkills3:SetFading(false)
BBGui.f1f.htopkills3:SetSpacing(0)
BBGui.f1f.htopkills3:SetJustifyH("CENTER")
BBGui.f1f.htopkills3:AddMessage("Deaths", 1, .8, 0, 1)
        if wtop1 ~= 0 and BangDeaths[wtop1] ~= nil then
			BBGui.f1f.htopkills3:AddMessage(BangDeaths[wtop1], .8, 0, 0, 1)
		else
			BBGui.f1f.htopkills3:AddMessage("0", .8, 0, 0, 1)
		end
        if wtop2 ~= 0 and BangDeaths[wtop2] ~= nil then
			BBGui.f1f.htopkills3:AddMessage(BangDeaths[wtop2], .8, 0, 0, 1)
		else
			BBGui.f1f.htopkills3:AddMessage("0", .8, 0, 0, 1)
		end
        if wtop3 ~= 0 and BangDeaths[wtop3] ~= nil then
			BBGui.f1f.htopkills3:AddMessage(BangDeaths[wtop3], .8, 0, 0, 1)
		else
			BBGui.f1f.htopkills3:AddMessage("0", .8, 0, 0, 1)
		end
--
BBGui.f1f.htopkills4 = CreateFrame("MessageFrame", nil, BBGui.f1f)
BBGui.f1f.htopkills4:SetSize(250,100)
BBGui.f1f.htopkills4:SetPoint("TOP", 165, 40)
BBGui.f1f.htopkills4:SetFont(bbG2bfont, 12, "THINOUTLINE")
BBGui.f1f.htopkills4:SetFading(false)
BBGui.f1f.htopkills4:SetSpacing(0)
BBGui.f1f.htopkills4:SetJustifyH("LEFT")
BBGui.f1f.htopkills4:AddMessage("Wanted name", 1, .8, 0, 1)
        if wtop1 ~= 0 then
			BBGui.f1f.htopkills4:AddMessage(wtop1, .9, .9, .9, 1)
		else
			BBGui.f1f.htopkills4:AddMessage("0", .9, .9, .9, 1)
		end
        if wtop2 ~= 0 then
			BBGui.f1f.htopkills4:AddMessage(wtop2, .7, .7, .7, 1)
		else
			BBGui.f1f.htopkills4:AddMessage("0", .7, .7, .7, 1)
		end
        if wtop3 ~= 0 then
			BBGui.f1f.htopkills4:AddMessage(wtop3, .6, .6, .6, 1)
		else
			BBGui.f1f.htopkills4:AddMessage("0", .6, .6, .6, 1)
		end
end
end
end