﻿-- Copyright 2011 Xavier Ferrairó aka Mortimer @ Outland [H] (deadlygm@gmail.com)
-- no code in this file may be used in other works without expressed permission

local t = CreateFrame("Frame")
	t:RegisterEvent("PLAYER_LOGIN")
	t:RegisterEvent("PLAYER_ENTERING_WORLD")
	t:RegisterEvent("PLAYER_DEAD")
	t:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
 
local rl = GetRealmName()

local SpellEvents = { 
	["SPELL_DAMAGE"] = true, 
	["SPELL_CAST_START"] = true, 
	["SPELL_PERIODIC_DAMAGE"] = true, 
	["RANGE_DAMAGE"] = true, 
	["SWING_DAMAGE"] = true, 
}

local total = 0
local timeout = 60 -- clear wanted popup
local ci
local snn
local hate
local ui
local unitID
local esPlayer
local player

------------------
local HateList = CreateFrame("Frame", "HateList", UIParent)
HateList:SetSize(380,35)
HateList:SetPoint("CENTER", waPosX, waPosY)
HateList:SetBackdrop( {
	--bgFile = "Interface\\ChatFrame\\ChatFrameBackground",
	bgFile = "Interface\Tooltips\UI-Tooltip-Background",
	edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border",
	--edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border",
	tile = true,
	tileSize = 10,
	edgeSize = 10,
	insets = {left = 4, right = 4, top = 4, bottom = 4}
} )
HateList:SetMovable(true)
HateList:SetUserPlaced(true)
HateList:RegisterForDrag("LeftButton")
HateList:EnableMouse(true)
HateList:SetScript("OnDragStart", function(self) HateList:StartMoving() end)
HateList:SetScript("OnDragStop", function(self) 
	
	local xpos,ypos = GetCursorPosition()
	--waPosY = BangCharDB.walerterY; waPosX = BangCharDB.walerterX
	BangCharDB.walerterX = xpos; -- save the degrees we are relative to the minimap center
	BangCharDB.walerterY = ypos; -- save the degrees we are relative to the minimap center

	HateList:StopMovingOrSizing()
end)
HateList:SetBackdropColor(.05, .05, .05, 1)
--
HateList.c = CreateFrame("Button", nil, HateList, "UIPanelButtonTemplate")
HateList.c:SetSize(20,20)
HateList.c:SetPoint("RIGHT", -5, 0)
HateList.c:SetText("X")
HateList.c:SetScript("OnClick", function()
	HateList:Hide()
end)
HateList.a = CreateFrame("MessageFrame", "HateList", HateList)
HateList.a:SetSize(375,18)
HateList.a:SetPoint("CENTER", 0, 0)
HateList.a:SetFont("Fonts\\FRIZQT__.ttf", 14, "THINOUTLINE")
HateList.a:SetFading(false)

local wKilled = CreateFrame("MessageFrame", "HateList", HateList)
wKilled:SetSize(375,18)
wKilled:SetPoint("CENTER", 0, 25)
wKilled:SetFont("Fonts\\FRIZQT__.ttf", 14, "THINOUTLINE")
wKilled:SetFading(true)
wKilled:SetTimeVisible(1)
---------------------------------
local function onUpdate(self,elapsed)
    total = total + elapsed
    if total >= timeout then
		HateList:Hide()
        total = 0
    end
end
	t:SetScript("OnUpdate", onUpdate)
	t:SetScript("OnEvent", function(self, event, ...)

		if event == "PLAYER_LOGIN" then HateList:Hide(); player = UnitName("player"); local waPosY = BangCharDB.walerterY; local waPosX = BangCharDB.walerterX; end
		if event == "PLAYER_ENTERING_WORLD" or event == "PLAYER_DEAD" then HateList:Hide() end

local isI, _ = IsInInstance()
local _, event, _, sg, sn, sf, _, _, dn, df, _, _, _, _, _, _ = ...
if not isI then
if SpellEvents[event] then
		
--TEMITA REALMS
esPlayer = strsplit("-",sg)
if esPlayer == "Player" then
	if string.find(sn, '%-') then
		snn = sn
	end
	if not string.find(sn, '%-') then
		snn = (sn.."-"..rl)
	end
else
	snn = sn
end
--		
if BangHateds[snn] and bit.band(sf, COMBATLOG_OBJECT_REACTION_HOSTILE) > 0 then

	if HateList:IsVisible() then
		HateList:Hide()
		wKilled:Hide()
		HateList.a:AddMessage("|cffFE2E2EWanted |cffDDDDDD"..snn.." |cffFE2E2Eis near", .9, .9, .9, 1)
		HateList:Show()
	end
	if not HateList:IsVisible() then
		wKilled:Hide()
		HateList.a:AddMessage("|cffFE2E2EWanted |cffDDDDDD"..snn.." |cffFE2E2Eis near", .9, .9, .9, 1)
		HateList:Show()
	end
	
	hate = snn

end
end
	if event == "PARTY_KILL" and player == sn and hate == dn and bit.band(df, COMBATLOG_OBJECT_REACTION_HOSTILE) > 0 then
		HateList:Hide()
		HateList:Show()
		wKilled:Show()
		HateList.a:AddMessage("|cffFE2E2E- WANTED ENEMY KILLED -", .9, .9, .9, 1)
		wKilled:AddMessage("|cff2EFE2E+Wanted |cffDDDDDD"..dn.." |cff2EFE2Ehas been hunted", .9, .9, .9, 1)
		total = 56
		print("|cff2EFE2E+ Wanted |r"..dn.." |cff2EFE2Ehunted.");
	end
end
end)
--
local f = CreateFrame("frame")
f:RegisterEvent("NAME_PLATE_UNIT_ADDED")
f:RegisterEvent("NAME_PLATE_UNIT_REMOVED")
f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:SetScript("OnEvent", function(self, event, ...) 

if event == "NAME_PLATE_UNIT_ADDED" then
    unitID = ...
	local isI, _ = IsInInstance()
	ui = GetUnitName(unitID, true)
	if not string.find(ui, '%-') then
		ci = ui.."-"..rl;
	elseif string.find(ui, '% ') then
		ui = ui;
	end
   if BangHateds[ui] or BangHateds[ci] and not isI then
        local na = C_NamePlate.GetNamePlateForUnit(unitID)
        if not na.di then
            na.di = na:CreateTexture(nil, "OVERLAY")
            na.di:SetTexture("Interface\\Icons\\Ability_hunter_snipershot")
			na.di:SetSize(32,32)
			na.di:SetPoint("TOP", BangDB.wantedsX, BangDB.wantedsY) -- horizontal, vertical		
		if HateList:IsVisible() then
			HateList:Hide()
			wKilled:Hide()
			HateList.a:AddMessage("|cffFE2E2EWanted |cffDDDDDD"..ui.." |cffFE2E2Eis near", .9, .9, .9, 1)
			HateList:Show()
		end
		if not HateList:IsVisible() then
			wKilled:Hide()
			HateList.a:AddMessage("|cffFE2E2EWanted |cffDDDDDD"..ui.." |cffFE2E2Eis near", .9, .9, .9, 1)
			HateList:Show()
		end	
		end
        na.di:Show()
    end
 
elseif event == "NAME_PLATE_UNIT_REMOVED" then
    unitID = ...
    local na = C_NamePlate.GetNamePlateForUnit(unitID)
    if na.di then
        na.di:Hide()
    end
end
 
end) 
